
QGIS Application - Bug report #6945

SAGA vector produced without .prj if the input layer does not have it

2013-01-04 10:28 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Processing/SAGA

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 16057

Description

This happens e.g. with Contour lines from grid

Related issues:

Related to QGIS Application - Bug report # 13093: SAGA kernels and other comm... Closed 2015-07-08

History

#1 - 2013-01-05 09:21 AM - Victor Olaya

- Status changed from Open to Feedback

Does you input file has an assigned CRS?

I am getting a shapefile with a valid prj file, but my input file has a defined CRS. If it doesn't have one, SAGA will not generate a prj, since it cannot know

the input CRS.

Do you think that maybe SEXTANTE should warn about this? Or maybe, if the layer used as input for SAGA/GRASS doesn't have a CRS, re-save it with

the current project CRS

#2 - 2013-01-07 12:53 AM - Paolo Cavallini

You got it, no CRS in input. As this is a general issue, I think the safest option would be to take the CRS used by QGIS project for that layer.

#3 - 2013-10-15 08:44 AM - Filipe Dias

The title of this ticket should be changed.

#4 - 2013-10-15 08:47 AM - Paolo Cavallini

- Subject changed from SAGA vector produced without .prj to SAGA vector produced without .prj if the input layer does not have it

#5 - 2014-10-04 11:56 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.4.0

- Category deleted (56)

- Project changed from 78 to QGIS Application

#6 - 2014-10-04 11:57 AM - Giovanni Manghi
- Category set to Processing/SAGA

#7 - 2015-05-24 05:57 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Target version set to Future Release - Lower Priority

#8 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#9 - 2018-02-24 11:01 AM - Paolo Cavallini

- Assignee deleted (Victor Olaya)

#10 - 2018-02-24 11:08 AM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in Q3
